Get URL for downloading exports - Fabric
Get URL for downloading exports
cURL
curl --request GET \
--url https://prod01.oms.fabric.inc/api/v2/exports/download-url \
--header 'Authorization: Bearer <token>' \
--header 'x-site-context: <x-site-context>'
Python
import requests
url = "https://prod01.oms.fabric.inc/api/v2/exports/download-url"
headers = {
"x-site-context": "<x-site-context>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)
JavaScript (Fetch)
const options = {
method: 'GET',
headers: {'x-site-context': '<x-site-context>', Authorization: 'Bearer <token>'}
};
fetch('https://prod01.oms.fabric.inc/api/v2/exports/download-url', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP


Response Codes
- 200: Success
- 400: Bad Request
- 404: Not Found
- 500: Internal Server Error
Response Examples
Successful Response:
{
"url": "https://**.csv"
}
Error Responses:
{
"message": "Bad Request"
}
{
"message": "Key does not exist!"
}
{
"message": "Internal Server Error"
}
Authorizations
Authorization
- Type: string
- Location: header
- Required: Yes
- Description: Bearer authentication header in the form
Bearer <token>.
Headers
- x-site-context: A JSON object that contains information about the source. Required fields include:
- account: 24 character identifier found in Copilot.
- Optional: channel, stage, and date.
Example:
"{\"date\": \"2023-01-01T00:00:00.000Z\", \"channel\": 12, \"account\": \"1234abcd5678efgh9ijklmno\",\"stage\":\"production\"}"
Query Parameters
- keyId: string, required.